<template lang="pug">
  .left-menu
    .header.menu-top-bar
      img(src='https://openclipart.org/download/247316/abstract-user-flat-2.svg')
      span {{ user }}
    ul
      li: a(href="#")
        i.icon-settings
        span Settings
      //- li: a(href="#")
      //-   i.icon-settings
      //-   span Settings
    ul.groups
      li(v-for="group in groups"): a(href="#" @click="selectGroup(group.groupId)")
        span {{ group.name }}
</template>

<script>
  export default {
    name: 'left-menu',
    methods: {
      selectGroup (groupId) {
        this.$emit('showMenu')
        return this.$store.commit('setGroup', groupId)
      }
    },
    data () {
      return {
        user: this.$store.state.user.name.first
      }
    },
    computed: {
      groups () {
        return this.$store.state.user.groups
      }
    }
  }
</script>
